Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1450505 - trojita FTBFS on s390x
Summary: trojita FTBFS on s390x
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: trojita
Version: rawhide
Hardware: s390x
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1402577
Blocks: F-ExcludeArch-s390x
TreeView+ depends on / blocked
 
Reported: 2017-05-12 20:00 UTC by Raphael Groner
Modified: 2020-07-23 02:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1402580
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1402577 0 unspecified NEW trojita FTBFS on ppc64 and ppc64le 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1402580 0 unspecified CLOSED trojita FTBFS on aarch64 and armv7hl 2021-02-22 00:41:40 UTC

Internal Links: 1402577 1402580

Description Raphael Groner 2017-05-12 20:00:56 UTC
Description of problem:
trojita FTBFS on s309x
 
/builddir/build/BUILD/trojita-0.7/src/Imap/Parser/Rfc5322HeaderParser.cpp:2238:3: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]

Version-Release number of selected component (if applicable):
0.7-7

How reproducible:
yes

Steps to Reproduce:
1. koji build --scratch rawhide trojita-0.7-7.srpm
2.
3.

Actual results:
build.log has many times of the above mentioned error message.

Expected results:
builds successfully

Additional info:
Temporarily solved by adding ExcludeArch.

https://koji.fedoraproject.org/koji/taskinfo?taskID=19492104

Comment 2 Raphael Groner 2018-01-09 21:38:56 UTC
Still FTBFS in rawhide.

Comment 4 Fedora Admin user for bugzilla script actions 2020-07-22 14:55:03 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 5 Fedora Admin user for bugzilla script actions 2020-07-23 02:48:56 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.